petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMInterpolationSetDof

Sets the number of fields interpolated at a point for the interpolation context

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetDof(DMInterpolationInfo ctx, PetscInt dof)

Not collective

### Input Parameters

| ctx | - the context
| dof | - the number of fields

### See Also

DMInterpolationGetDof(), DMInterpolationEvaluate(), DMInterpolationAddPoints()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages